%define upstream_name    CPAN-Meta-YAML
%define upstream_version 0.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Read and write a subset of YAML for CPAN Meta files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::Dir)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements a subset of the YAML specification for use in
reading and writing CPAN metadata files like _META.yml_ and _MYMETA.yml_.
It should not be used for any other general YAML parsing or generation
task.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.20.0-2.mga10
+ Revision: 2234364
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.20.0-1.mga10
+ Revision: 2141386
- update to 0.020

* Sun Mar 20 2022 umeabot <umeabot> 0.18.0-5.mga9
+ Revision: 1802631
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.18.0-4.mga8
+ Revision: 1493600
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.18.0-3.mga7
+ Revision: 1266691
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.18.0-2.mga6
+ Revision: 1024483
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.18.0-1.mga6
+ Revision: 1001637
- update to 0.018

* Fri Feb 19 2016 umeabot <umeabot> 0.16.0-2.mga6
+ Revision: 967884
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.16.0-1.mga6
+ Revision: 850444
- update to 0.016

* Sun Oct 19 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 790199
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-3.mga5
+ Revision: 747164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-2.mga5
+ Revision: 683677
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.12.0-1.mga5
+ Revision: 596910
- update to 0.012

* Mon Feb 17 2014 jquelin <jquelin> 0.11.0-1.mga5
+ Revision: 593411
- update to 0.011

* Mon Feb 10 2014 jquelin <jquelin> 0.10.0-3.mga5
+ Revision: 587910
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 537566
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 487217
- update to 0.010

* Wed Mar 27 2013 jquelin <jquelin> 0.8.0-6.mga3
+ Revision: 405463
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-5.mga3
+ Revision: 363614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.8.0-4.mga3
+ Revision: 315116
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.8.0-3.mga3
+ Revision: 294957
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 0.8.0-2.mga3
+ Revision: 284581
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.8.0-1.mga3
+ Revision: 254102
- update to 0.008

* Wed Feb 22 2012 kharec <kharec> 0.7.0-1.mga2
+ Revision: 211944
- update to 0.007

* Thu Dec 15 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 181838
- update to 0.005

* Fri Nov 04 2011 jquelin <jquelin> 0.4.0-2.mga2
+ Revision: 162788
- take priority over module bundled with perl 5.14.2

* Sun Sep 18 2011 takashi <takashi> 0.4.0-1.mga2
+ Revision: 144761
- removing old CPAN-Meta-YAML-0.003.tar.gz
- update to 0.004

* Mon Jan 31 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 45191
- imported package perl-CPAN-Meta-YAML


* Mon Jan 31 2011 cpan2dist 0.003-1mdv
- initial mdv release, generated with cpan2dist
